[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSchemaType

Schema type to retrieve

## Declaration

Source position: sqldb.pp line 26

`type TSchemaType = sqltypes.TSchemaType;`

## Description

TSchemaType describes which schema information to retrieve in the TCustomSQLQuery.SetSchemaInfo call. Depending on its value, the result set of the dataset will have different fields, describing the requested schema data. The result data will always have the same structure.

## See also

RetrievingSchemaInformation |  | Retrieving Schema Information
TCustomSQLQuery.SetSchemaInfo |  | SetSchemaInfo prepares the dataset to retrieve schema info.